Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.configuration
Class WSSDeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams
          org.deegree.ogcwebservices.wass.wss.configuration.WSSDeegreeParams

All Implemented Interfaces:
  Serializable

    public class WSSDeegreeParams

extends DeegreeParams

Encapsulates deegree parameter data for a WSS.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WSSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, OnlineResource securedServiceAddress, OnlineResource wasAddress, int sessionLifetime, JDBCConnection db)`
`WSSDeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet, OnlineResource securedServiceAddress, OnlineResource wasAddress, int sessionLifetime, JDBCConnection db)`

Method Summary
`JDBCConnection` | `getDatabaseConnection()`
`OnlineResource` | `getSecuredServiceAddress()` returns the online resource to access the capabilities of the service hidden behind a WSS
`int` | `getSessionLifetime()` Returns the maximum lifetime of a session in milliseconds.
`OnlineResource` | `getWASAddress()` returns the address of the WAS to be used to authenticate users

Methods inherited from class org.deegree.enterprise.DeegreeParams
`getCacheSize, getCharacterSet, getCharset, getDefaultOnlineResource, getRequestTimeLimit, setCacheSize, setCharacterSet, setDefaultOnlineResource, setRequestTimeLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSDeegreeParams

    public WSSDeegreeParams(OnlineResource defaultOnlineResource,
                            int cacheSize,
                            int requestTimeLimit,
                            OnlineResource securedServiceAddress,
                            OnlineResource wasAddress,
                            int sessionLifetime,
                            JDBCConnection db)

Parameters:
  `defaultOnlineResource` -
  `cacheSize` -
  `requestTimeLimit` -
  `securedServiceAddress` -
  `wasAddress` -
  `sessionLifetime` -
  `db` -

### WSSDeegreeParams

    public WSSDeegreeParams(OnlineResource defaultOnlineResource,
                            int cacheSize,
                            int requestTimeLimit,
                            String characterSet,
                            OnlineResource securedServiceAddress,
                            OnlineResource wasAddress,
                            int sessionLifetime,
                            JDBCConnection db)

Parameters:
  `defaultOnlineResource` -
  `cacheSize` -
  `requestTimeLimit` -
  `characterSet` -
  `securedServiceAddress` -
  `wasAddress` -
  `sessionLifetime` -
  `db` -

Method Detail

### getSecuredServiceAddress

    public OnlineResource getSecuredServiceAddress()

  returns the online resource to access the capabilities of the service hidden behind a WSS

  Returns:
    the address

### getWASAddress

    public OnlineResource getWASAddress()

  returns the address of the WAS to be used to authenticate users

  Returns:
    the address

### getSessionLifetime

    public int getSessionLifetime()

  Returns the maximum lifetime of a session in milliseconds.

  Returns:
    the lifetime

### getDatabaseConnection

    public JDBCConnection getDatabaseConnection()

  Returns:
    an object with database connection information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org